#
# Conditional build:
%bcond_without	ocaml_opt	# skip building native optimized binaries (bytecode is always built)

# not yet available on x32 (ocaml 4.02.1), update when upstream will support it
%ifnarch %{ix86} %{x8664} arm aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

Summary:	libvirt binding for OCaml
Summary(pl.UTF-8):	Wiązania libvirt dla OCamla
Name:		ocaml-libvirt
Version:	0.6.1.4
Release:	4
License:	LGPL v2+
Group:		Libraries
Source0:	ftp://libvirt.org/libvirt/ocaml/%{name}-%{version}.tar.gz
# Source0-md5:	92723c155c009880475f3c9a093d1fe6
Patch0:		%{name}-virDomainCreateXML.patch
URL:		http://libvirt.org/ocaml/
BuildRequires:	libvirt-devel >= 0.2.1
BuildRequires:	ocaml >= 3.04-7
BuildRequires:	ocaml-findlib
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ocaml-libvirt is a complete set of OCaml bindings around libvirt,
exposing all known libvirt functionality to OCaml programs.

This package contains files needed to run bytecode executables using
the library.

%description -l pl.UTF-8
ocaml-libvirt to kompletny zestaw wiązań OCamla do libvirt,
udostępniający całą znaną funkcjonalność libvirt programom w OCamlu.

Ten pakiet zawiera binaria potrzebne do uruchamiania programów
używających tej biblioteki.

%package devel
Summary:	libvirt binding for OCaml - development part
Summary(pl.UTF-8):	Wiązania libvirt dla OCamla - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
ocaml-libvirt is a complete set of OCaml bindings around libvirt,
exposing all known libvirt functionality to OCaml programs.

This package contains files needed to develop OCaml programs using
the library.

%description devel -l pl.UTF-8
ocaml-libvirt to kompletny zestaw wiązań OCamla do libvirt,
udostępniający całą znaną funkcjonalność libvirt programom w OCamlu.

Ten pakiet zawiera pliki niezbędne do tworzenia programów używających
biblioteki.

%prep
%setup -q
%patch0 -p1

%build
%configure

# parallel build triggers makefile races
%{__make} -j1 all %{?with_ocaml_opt:opt} \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{site-lib,stublibs}

%{__make} install%{?with_ocaml_opt:-opt}%{!?with_ocaml_opt:-byte} \
	OCAMLFIND_INSTFLAGS="-destdir $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib"

%{__mv} $RPM_BUILD_ROOT%{_libdir}/ocaml/{site-lib/libvirt,stublibs}/dllmllibvirt.so

# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/libvirt/*.mli

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p examples/*.ml $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO.libvirt
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dllmllibvirt.so

%files devel
%defattr(644,root,root,755)
%doc libvirt/libvirt*.mli
%dir %{_libdir}/ocaml/site-lib/libvirt
%{_libdir}/ocaml/site-lib/libvirt/META
%{_libdir}/ocaml/site-lib/libvirt/libvirt*.cmi
%{_libdir}/ocaml/site-lib/libvirt/libmllibvirt.a
%{_libdir}/ocaml/site-lib/libvirt/mllibvirt.cma
%if %{with ocaml_opt}
%{_libdir}/ocaml/site-lib/libvirt/libvirt*.cmx
%{_libdir}/ocaml/site-lib/libvirt/mllibvirt.a
%{_libdir}/ocaml/site-lib/libvirt/mllibvirt.cmxa
%endif
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Nov 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-libvirt.git;a=log;h=master

* Mon Nov 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 290ffc9
- added virDomainCreateXML patch (backport from git, required for libguestfs)
- release 4

* Mon Jul 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 7a8e186
- fixed install ocaml_opt handling

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 03f8ee4
- one more ocaml_opt condition

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> f9edcca
- added ocaml_opt bcond; release 3

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> d70e60d
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Mon Sep 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 0452361
- updated to 0.6.1.4
- removed obsolete 0001-remove-parameter-nr_pcpus-of-Libvirt.Domain.get_cpu_ patch

* Sat Aug 31 2013 Elan Ruusamäe <glen@delfi.ee> 86b8fc0
- remove parameter nr_pcpus of Libvirt.Domain.get_cpu_stats

* Sun Jul 01 2012 Jakub Bogusz <qboosh@pld-linux.org> a373320
- release 2

* Sun Jul 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 1c0587e
- try with -j1

* Sun Jul 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 3d5fbf5
- new

